Module java.corba
Package org.omg.PortableInterceptor

## Interface IORInterceptor_3_0

- All Superinterfaces:
    `IDLEntity`, `Interceptor`, `InterceptorOperations`, `IORInterceptor`, `IORInterceptor_3_0Operations`, `IORInterceptorOperations`, `Object`, `Serializable`

      public interface IORInterceptor_3_0
      extends IORInterceptor_3_0Operations, IORInterceptor, IDLEntity

  org/omg/PortableInterceptor/IORInterceptor_3_0.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/java9-openjdk/src/jdk9u-jdk-9.0.4+11/corba/src/java.corba/share/classes/org/omg/PortableInterceptor/Interceptors.idl Saturday, February 3, 2018 2:12:29 PM UTC

- - ### Method Summary

    - ### Methods inherited from interface org.omg.PortableInterceptor.InterceptorOperations

      `destroy, name`

    - ### Methods inherited from interface org.omg.PortableInterceptor.IORInterceptor_3_0Operations

      `adapter_manager_state_changed, adapter_state_changed, components_established`

    - ### Methods inherited from interface org.omg.PortableInterceptor.IORInterceptorOperations

      `establish_components`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`